GET /api/v202208/place/{placeId}/digest/calendarized/cost/comparison

Return the total cost and cost for each commodity under a place for comparison Example calculating the current and previous ranges: Today is 2022-10-06 chartMonthsToExclude = 2, numMonths = 6, comparisonYearsAgo = 3 CurrentPeriodRange is 202203 - 202208 and PreviousPeriodRange is 201903 - 201908

GetPlaceCalendarizedCostComparisonV202208 Permissions: BuildingsAndOrganizations (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
placeId Id of the place to lookup integer (int32) Required

Query Parameters

Name Description Type Required
chartMonthsToExclude Optional, the number of months to exclude from intensity data, 0 includes all months including the current one. Defaults to the system setting otherwise 0. integer (int32) Optional
numMonths Optional, the number of months of intensity data to include, the end month is respective of chartMonthsToExclude. Defaults to 12. integer (int32) Optional
comparisonYearsAgo The comparisonYearsAgo is the number of years to go back to do the comparison. Defaults to 1. integer (int32) Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

PlaceDigestComparisonResponse
Property Description Type
commodities Comparison values for each commodity CommodityValueComparison[]
CommodityValueComparison properties
Property Description Type
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
currentValue ValueWithUnit
ValueWithUnit properties
Property Description Type
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
value Value number (double)
previousValue ValueWithUnit
ValueWithUnit properties
Property Description Type
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
value Value number (double)
currentPeriodRange PeriodRange
PeriodRange properties
Property Description Type
endPeriod The end period for the range integer (int32)
startPeriod The start period for the range integer (int32)
floorAreaUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
intensity ValueComparison
ValueComparison properties
Property Description Type
currentValue ValueWithUnit
ValueWithUnit properties
Property Description Type
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
value Value number (double)
previousValue ValueWithUnit
ValueWithUnit properties
Property Description Type
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
value Value number (double)
previousPeriodRange PeriodRange
PeriodRange properties
Property Description Type
endPeriod The end period for the range integer (int32)
startPeriod The start period for the range integer (int32)
total ValueComparison
ValueComparison properties
Property Description Type
currentValue ValueWithUnit
ValueWithUnit properties
Property Description Type
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
value Value number (double)
previousValue ValueWithUnit
ValueWithUnit properties
Property Description Type
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
value Value number (double)
Example Response application/json
{  "commodities": [
    {    "commodity": {      "commodityCode": "string",      "commodityIcon": {},      "commodityId": 1,      "commodityInfo": "string"
    },    "currentValue": {      "unit": {},      "value": 1.0
    },    "previousValue": {      "unit": {},      "value": 1.0
    }
  }
  ],  "currentPeriodRange": {    "endPeriod": 1,    "startPeriod": 1
  },  "floorAreaUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "intensity": {    "currentValue": {      "unit": {},      "value": 1.0
    },    "previousValue": {      "unit": {},      "value": 1.0
    }
  },  "previousPeriodRange": {    "endPeriod": 1,    "startPeriod": 1
  },  "total": {    "currentValue": {      "unit": {},      "value": 1.0
    },    "previousValue": {      "unit": {},      "value": 1.0
    }
  }
}